nxt

## Class CurrencyMinting

- java.lang.Object
- - nxt.CurrencyMinting

-     public final class CurrencyMinting
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Set<HashFunction>` | `acceptedHashFunctions`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `getHash(byte algorithm, long nonce, long currencyId, long units, long counter, long accountId)`
    `static byte[]` | `getHash(HashFunction hashFunction, long nonce, long currencyId, long units, long counter, long accountId)`
    `static java.math.BigInteger` | `getNumericTarget(Currency currency, long units)`
    `static java.math.BigInteger` | `getNumericTarget(int min, int max, long units, long currentMintableSupply, long totalMintableSupply)`
    `static byte[]` | `getTarget(java.math.BigInteger numericTarget)`
    `static byte[]` | `getTarget(int min, int max, long units, long currentMintableSupply, long totalMintableSupply)`
    `static boolean` | `meetsTarget(byte[] hash, byte[] target)`
    `static boolean` | `meetsTarget(long accountId, Currency currency, Attachment.MonetarySystemCurrencyMinting attachment)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### acceptedHashFunctions

          public static final java.util.Set<HashFunction> acceptedHashFunctions

  - ### Method Detail

    - #### meetsTarget

          public static boolean meetsTarget(long accountId,
                                            Currency currency,
                                            Attachment.MonetarySystemCurrencyMinting attachment)

    - #### meetsTarget

          public static boolean meetsTarget(byte[] hash,
                                            byte[] target)

    - #### getHash

          public static byte[] getHash(byte algorithm,
                                       long nonce,
                                       long currencyId,
                                       long units,
                                       long counter,
                                       long accountId)

    - #### getHash

          public static byte[] getHash(HashFunction hashFunction,
                                       long nonce,
                                       long currencyId,
                                       long units,
                                       long counter,
                                       long accountId)

    - #### getTarget

          public static byte[] getTarget(int min,
                                         int max,
                                         long units,
                                         long currentMintableSupply,
                                         long totalMintableSupply)

    - #### getTarget

          public static byte[] getTarget(java.math.BigInteger numericTarget)

    - #### getNumericTarget

          public static java.math.BigInteger getNumericTarget(Currency currency,
                                                              long units)

    - #### getNumericTarget

          public static java.math.BigInteger getNumericTarget(int min,
                                                              int max,
                                                              long units,
                                                              long currentMintableSupply,
                                                              long totalMintableSupply)